HomePhabricator

[compiler-rt] Use the correct minimum version flag for simulators on Apple…

Authored by delcypher on Feb 14 2020, 10:28 AM.

Description

[compiler-rt] Use the correct minimum version flag for simulators on Apple platforms.

For the simulators this changes the following compilation flags (
used both for building the runtime and lit tests).

iOS simulator: -miphoneos-version-min -> -mios-simulator-version-min
watchOS simulator: -mwatchos-version-min -> -mwatchos-simulator-version-min
tvOS simulator: -mtvos-version-min -> -mtvos-simulator-version-min

rdar://problem/59463146

Details

Committed
delcypherFeb 14 2020, 1:53 PM
Parents
rG1fe6e6fd85f7: [llvm-exegesis] Rename range based for loop variable in a unit test so its…
Branches
Unknown
Tags
Unknown